<template>
    <el-card>
        <h1 slot="header">Tabella di esempio</h1>
        <!---->
        <el-table :data='tableData' style="width: 100%">
            <el-table-column prop="name" label="Name" :sortable="false" :width="180"></el-table-column>
            <el-table-column prop="surname" label="Surname" :sortable="false" :width="180"></el-table-column>
            <el-table-column prop="age" label="Age" :sortable="false" :width="180"></el-table-column>
            <el-table-column prop="nickname" label="Nickname" :sortable="false" :width="180"></el-table-column>
            <el-table-column prop="birth" label="Year birth" :sortable="false" :width="180"></el-table-column>
        </el-table>
        <!---->
    </el-card>
</template>
<script>

export default {
    name: "Home",
    data() {
        return {
            tableData: [
                {name: "Rodolfo", surname: "Bevione", age: 26, nickname: "rododo93", email: "rodolfo.bevione@gmail.com", birth: 1993},
                {name: "Emanuele", surname: "Forneris", age: 24, nickname: "fornaro", email: "eforneris@kpmg.it", birth: 1996},
                {name: "Ilaria", surname: "Rilando", age: 25, nickname: "iaia", email: "ilaria.condizionata@live.com", birth: 1994}
            ]
        };
    },
    computed: {
        user() {
            return this.$store.state.user;
        }
    }
};
</script>
